import { EventEmitter, OnInit, PipeTransform, SimpleChanges, Renderer2 } from '@angular/core';
export declare class DropdownComponent implements OnInit {
    private renderer;
    dropdownList: any[];
    selectedUnit: string;
    selectedDropdown: EventEmitter<any>;
    sCurveDropdown: boolean;
    menuBtnClick: boolean;
    dropdownSelect: string;
    dropdownWidth: number;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    preventCloseOnClick(): void;
    dropdownShow(): void;
    unitNameSelect(unitName: any): void;
}
export declare class DropdownHideInfoPipe implements PipeTransform {
    locale: string;
    transform(value: any, ...args: any): string;
}
